Your message dated Sun, 24 Jun 2012 14:15:23 +0200
with message-id <4fe704db.3090...@thykier.net>
and subject line Re: Bug#678765: activemq: FTBFS: 
org.apache.felix.obrplugin.ObrInstall#execute() caused a linkage error 
(java.lang.UnsupportedClassVersionError) and may be out-of-date.
has caused the Debian Bug report #678765,
regarding activemq: FTBFS: org.apache.felix.obrplugin.ObrInstall#execute() 
caused a linkage error (java.lang.UnsupportedClassVersionError) and may be 
out-of-date.
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
678765: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678765
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: activemq
Version: 5.6.0+dfsg-1
Severity: serious
Tags: wheezy sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20120624 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  debian/rules build
> test -x debian/rules
> mkdir -p "."
> /usr/share/maven-debian-helper/copy-repo.sh 
> /«BUILDDIR»/activemq-5.6.0+dfsg/debian
> mh_patchpoms -plibactivemq-java --debian-build --keep-pom-version 
> --maven-repo=/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo 
> touch debian/stamp-poms-patched
> # before-build target may be used to unpatch the pom files, so we need to 
> check if
> # patching the pom files is needed here, normally not
> if [ ! -f pom.xml.save ]; then \
>               /usr/bin/make -f debian/rules patch-poms; \
>       fi
> cd . && /usr/lib/jvm/default-java/bin/java -noverify -cp 
> /usr/share/maven2/boot/classworlds.jar:/usr/lib/jvm/default-java/lib/tools.jar
>  
> -Dproperties.file.manual=/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven.properties
>  -Dclassworlds.conf=/etc/maven2/m2-debian.conf 
> org.codehaus.classworlds.Launcher -s/etc/maven2/settings-debian.xml 
> -Dmaven.repo.local=/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo  install
> [INFO] 
> NOTE: Maven is executing in offline mode. Any artifacts not already in your 
> local
> repository will be inaccessible.
> 
> [INFO] Scanning for projects...
> [INFO] Reactor build order: 
> [INFO]   ActiveMQ
> [INFO]   ActiveMQ :: KahaDB
> [INFO]   ActiveMQ :: JAAS
> [INFO]   ActiveMQ :: jmdns 1.0
> [INFO]   ActiveMQ :: Core
> [INFO]   ActiveMQ :: Console
> [INFO]   ActiveMQ :: File Server
> [INFO]   ActiveMQ :: RA
> [INFO]   ActiveMQ :: Pool
> [INFO]   ActiveMQ :: Run Jar
> [INFO]   ActiveMQ :: Spring
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] Building ActiveMQ
> [INFO]    task-segment: [install]
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] [enforcer:enforce {execution: default}]
> [INFO] [bundle:cleanVersions {execution: cleanVersions}]
> [INFO] [site:attach-descriptor {execution: default-attach-descriptor}]
> [INFO] [install:install {execution: default-install}]
> [INFO] Installing /«BUILDDIR»/activemq-5.6.0+dfsg/pom.xml to 
> /«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/apache/activemq/activemq-parent/5.6.0/activemq-parent-5.6.0.pom
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] Building ActiveMQ :: KahaDB
> [INFO]    task-segment: [install]
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] [enforcer:enforce {execution: default}]
> [INFO] [bundle:cleanVersions {execution: cleanVersions}]
> [INFO] [resources:resources {execution: default-resources}]
> [INFO] Using 'UTF-8' encoding to copy filtered resources.
> [INFO] Copying 2 resources
> [INFO] [compiler:compile {execution: default-compile}]
> [INFO] Compiling 50 source files to 
> /«BUILDDIR»/activemq-5.6.0+dfsg/kahadb/target/classes
> [WARNING] 
> /«BUILDDIR»/activemq-5.6.0+dfsg/kahadb/src/main/java/org/apache/kahadb/index/BTreeIndex.java:[58,48]
>  unmappable character for encoding ASCII
> 
> [WARNING] 
> /«BUILDDIR»/activemq-5.6.0+dfsg/kahadb/src/main/java/org/apache/kahadb/index/BTreeIndex.java:[58,49]
>  unmappable character for encoding ASCII
> 
> [WARNING] 
> /«BUILDDIR»/activemq-5.6.0+dfsg/kahadb/src/main/java/org/apache/kahadb/index/BTreeIndex.java:[67,52]
>  unmappable character for encoding ASCII
> 
> [WARNING] 
> /«BUILDDIR»/activemq-5.6.0+dfsg/kahadb/src/main/java/org/apache/kahadb/index/BTreeIndex.java:[67,53]
>  unmappable character for encoding ASCII
> 
> [INFO] [resources:testResources {execution: default-testResources}]
> [INFO] Using 'UTF-8' encoding to copy filtered resources.
> [INFO] Copying 1 resource
> [INFO] [compiler:testCompile {execution: default-testCompile}]
> [INFO] Not compiling test sources
> [WARNING] DEPRECATED [systemProperties]: Use systemPropertyVariables instead.
> [INFO] [surefire:test {execution: default-test}]
> [INFO] Tests are skipped.
> [INFO] [bundle:bundle {execution: default-bundle}]
> [INFO] [install:install {execution: default-install}]
> [INFO] Installing 
> /«BUILDDIR»/activemq-5.6.0+dfsg/kahadb/target/kahadb-5.6.0.jar to 
> /«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/apache/activemq/kahadb/5.6.0/kahadb-5.6.0.jar
> [INFO] [bundle:install {execution: default-install}]
> [INFO] Writing OBR metadata
> [INFO] Installing org/apache/activemq/kahadb/5.6.0/kahadb-5.6.0.jar
> [FATAL ERROR] org.apache.felix.obrplugin.ObrInstall#execute() caused a 
> linkage error (java.lang.UnsupportedClassVersionError) and may be 
> out-of-date. Check the realms:
> [FATAL ERROR] Plugin realm = 
> app0.child-container[org.apache.felix:maven-bundle-plugin:2.3.5]
> urls[0] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/apache/felix/maven-bundle-plugin/2.3.5/maven-bundle-plugin-2.3.5.jar
> urls[1] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/biz/aQute/bndlib/debian/bndlib-debian.jar
> urls[2] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/apache/felix/org.apache.felix.bundlerepository/debian/org.apache.felix.bundlerepository-debian.jar
> urls[3] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/osgi/org.osgi.core/debian/org.osgi.core-debian.jar
> urls[4] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/easymock/easymock/debian/easymock-debian.jar
> urls[5] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/codehaus/plexus/plexus-utils/debian/plexus-utils-debian.jar
> urls[6] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/codehaus/plexus/plexus-interpolation/debian/plexus-interpolation-debian.jar
> urls[7] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/apache/maven/maven-archiver/debian/maven-archiver-debian.jar
> urls[8] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/codehaus/plexus/plexus-archiver/debian/plexus-archiver-debian.jar
> urls[9] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/codehaus/plexus/plexus-io/debian/plexus-io-debian.jar
> urls[10] = 
> file:/«BUILDDIR»/activemq-5.6.0+dfsg/debian/maven-repo/org/apache/maven/shared/maven-dependency-tree/debian/maven-dependency-tree-debian.jar
> [FATAL ERROR] Container realm = plexus.core
> 
> [INFO] 
> ------------------------------------------------------------------------
> [ERROR] FATAL ERROR
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] org/osgi/framework/Version : Unsupported major.minor version 51.0
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] Trace
> java.lang.UnsupportedClassVersionError: org/osgi/framework/Version : 
> Unsupported major.minor version 51.0
>       at java.lang.ClassLoader.defineClass1(Native Method)
>       at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
>       at 
> java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
>       at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
>       at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
>       at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
>       at java.security.AccessController.doPrivileged(Native Method)
>       at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
>       at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
>       at 
> org.codehaus.classworlds.RealmClassLoader.loadClassDirect(RealmClassLoader.java:195)
>       at 
> org.codehaus.classworlds.DefaultClassRealm.loadClass(DefaultClassRealm.java:255)
>       at 
> org.codehaus.classworlds.RealmClassLoader.loadClass(RealmClassLoader.java:214)
>       at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
>       at 
> org.apache.felix.utils.version.VersionTable.getVersion(VersionTable.java:55)
>       at 
> org.apache.felix.utils.version.VersionTable.getVersion(VersionTable.java:41)
>       at 
> org.apache.felix.bundlerepository.impl.ResourceImpl.put(ResourceImpl.java:194)
>       at 
> org.apache.felix.bundlerepository.impl.ResourceImpl.put(ResourceImpl.java:176)
>       at 
> org.apache.felix.bundlerepository.impl.DataModelHelperImpl.populate(DataModelHelperImpl.java:524)
>       at 
> org.apache.felix.bundlerepository.impl.DataModelHelperImpl.createResource(DataModelHelperImpl.java:513)
>       at 
> org.apache.felix.bundlerepository.impl.DataModelHelperImpl.createResource(DataModelHelperImpl.java:404)
>       at 
> org.apache.felix.obrplugin.ObrUpdate.updateRepository(ObrUpdate.java:170)
>       at 
> org.apache.felix.obrplugin.ObrInstall.updateLocalBundleMetadata(ObrInstall.java:184)
>       at org.apache.felix.obrplugin.ObrInstall.execute(ObrInstall.java:143)
>       at 
> org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:490)
>       at 
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:694)
>       at 
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWithLifecycle(DefaultLifecycleExecutor.java:556)
>       at 
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:535)
>       at 
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:387)
>       at 
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:348)
>       at 
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:180)
>       at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:328)
>       at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
>       at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
>       at 
> org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMain.java:60)
>       at org.debian.maven.Wrapper.main(Wrapper.java:106)
>       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>       at 
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
>       at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>       at java.lang.reflect.Method.invoke(Method.java:616)
>       at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
>       at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
>       at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
>       at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] Total time: 14 seconds
> [INFO] Finished at: Sat Jun 23 16:15:10 UTC 2012
> [INFO] Final Memory: 18M/58M
> [INFO] 
> ------------------------------------------------------------------------
> make: *** [mvn-build] Error 1

The full build log is available from:
   
http://people.debian.org/~lucas/logs/2012/06/24/activemq_5.6.0+dfsg-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



--- End Message ---
--- Begin Message ---
Hi,

Caused by faulty osgi-core (4.3.0-2) which has been fixed (see
#678802).  Rebuilding with osgi-core/4.3.0-3 I cannot reproduce the
problem and I am closing this bug accordingly.

~Niels



--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to